import { Application, ChannelService, FrontendSession, RemoterClass } from 'pinus';
import { STATUS } from '../../../consts/statusCode';
import { resResult } from '../../../pubUtils/util';
// import { sendRolesMails } from '../../../services/mailService';
import { reloadResources } from '../../../pubUtils/data';
export default function (app: Application) {
    return new RoleRemote(app);
}

export class RoleRemote {

    constructor(private app: Application) {
        this.app = app;
        this.channelService = app.get('channelService');
    }
    private channelService: ChannelService;


    // sendGmMailsToRoles(mails) {
    //     sendRolesMails(mails)
    // }
    
    /**
     * 重载json资源
     */
    public async reloadResources() {
        reloadResources();
    }
}
